@echo off
call common.bat
call clean.bat

dbdsn -y -dr -ws %sa_dsn% -c "eng=cons;dbn=cons;uid=dba;pwd=sql;driver=%sa_drvname%"

mkdir cons
for /L %%i in (1,1,%num%) do mkdir rem%%i

if not exist tempDB mkdir tempDB
if not exist tempDB\cons.db dbinit -p 4096 tempDB\cons.db -n

copy tempDB\cons.db cons\cons.db
for /L %%i in (1,1,%num%) do copy tempDB\cons.db rem%%i\rem%%i.db
dblog -t cons.log cons\cons.db
for /L %%i in (1,1,%num%) do dblog -t rem%%i.log rem%%i\rem%%i.db

dbisql -nogui -c "uid=dba;pwd=sql;eng=cons;dbf=cons\cons.db;autostop=no;start=dbsrv10 -gd all -x none" read "%SQLANY10%\mobilink\setup\syncsa.sql"
dbisql -nogui -c "uid=dba;pwd=sql;eng=cons;dbn=cons" read cons.sql 

for /L %%i in (1,1,%num%) do dbisql -nogui -c "uid=dba;pwd=sql;eng=cons;dbf=rem%%i\rem%%i.db;autostop=no" read rem.sql %%i
for /L %%i in (1,1,%num%) do mluser -c "dsn=%sa_dsn%" -u rem%%i -p sql

start mlsrv10 -v+ -ot mlsrv10.txt -c "dsn=%sa_dsn%"

