CREATE SERVER dir_icons CLASS 'directory' USING 'root=icons';
CREATE EXTERNLOGIN DBA TO dir_icons;
CREATE EXISTING TABLE icons AT 'dir_icons;;;.';

alter procedure ui_synchFiles()
result ( file_name varchar(128), contents long binary )
begin
  select SynchFiles.file_name, icons.contents
  from SynchFiles, icons
  where SynchFiles.file_name = icons.file_name
end;

INSERT INTO SynchFiles(file_name) VALUES ( 'zero.ico' );
INSERT INTO SynchFiles(file_name) VALUES ( 'one.ico' );
INSERT INTO SynchFiles(file_name) VALUES ( 'two.ico' );
COMMIT;
